/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): ____________________________________.
 * Contributor(s):
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.container;

import org.objectweb.jonas_ejb.container.JContainer;

/**
 * MBean Interface for container Manangement
 * MBean type: Standard
 * MBean model: Delegation
 */
public class JmxContainer implements JmxContainerMBean {

    protected JContainer cont;

    /**
     * Constructor
     */
    public JmxContainer(JContainer cont) {
	this.cont = cont;
    }

    /**
     * @return Integer Number of Beans currently in this container
     */
    public Integer getCurrentNumberOfBeanType() {
	return new Integer(cont.getBeanNb());
    }

    /**
     * @return Integer Number of BMP type currently in this container
     */
    public Integer getCurrentNumberOfBMPType() {
	return new Integer(cont.getEntityBMPNb());
    }

    /**
     * @return Integer Number of CMP type currently in this container
     */
    public Integer getCurrentNumberOfCMPType() {
	return new Integer(cont.getEntityCMPNb());
    }

    /**
     * @return Integer Number of StatefulSession type currently in this container
     */
    public Integer getCurrentNumberOfSBFType() {
	return new Integer(cont.getStatefulSessionNb());
    }

    /**
     * @return Integer Number of StatelessSession type currently in this container
     */
    public Integer getCurrentNumberOfSBLType() {
	return new Integer(cont.getStatelessSessionNb());
    }

    /**
     * @return Integer Number of MDB type currently in this container
     */
    public Integer getCurrentNumberOfMDBType() {
	return new Integer(cont.getMessageDrivenNb());
    }

    /**
     * @return String The name of this container
     */    
    public String getContainerName() {
	return cont.getName();
    }

    /**
     * @return String the application name
     */
    public String getFileName() {
	return cont.getFileName();
    }

}
